Package com.google.protobuf

# Interface DescriptorProtos.GeneratedCodeInfoOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `DescriptorProtos.GeneratedCodeInfo`, `DescriptorProtos.GeneratedCodeInfo.Builder`

Enclosing class:
  `DescriptorProtos`

public static interface DescriptorProtos.GeneratedCodeInfoOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`DescriptorProtos.GeneratedCodeInfo.Annotation`
`getAnnotation(int index)`
`repeated .google.protobuf.GeneratedCodeInfo.Annotation annotation = 1 [json_name = "annotation"];`
`int`
`getAnnotationCount()`
`repeated .google.protobuf.GeneratedCodeInfo.Annotation annotation = 1 [json_name = "annotation"];`
`List<DescriptorProtos.GeneratedCodeInfo.Annotation>`
`getAnnotationList()`
`repeated .google.protobuf.GeneratedCodeInfo.Annotation annotation = 1 [json_name = "annotation"];`
`DescriptorProtos.GeneratedCodeInfo.AnnotationOrBuilder`
`getAnnotationOrBuilder(int index)`
`repeated .google.protobuf.GeneratedCodeInfo.Annotation annotation = 1 [json_name = "annotation"];`
`List<? extends DescriptorProtos.GeneratedCodeInfo.AnnotationOrBuilder>`
`getAnnotationOrBuilderList()`
`repeated .google.protobuf.GeneratedCodeInfo.Annotation annotation = 1 [json_name = "annotation"];`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getAnnotationList

List<DescriptorProtos.GeneratedCodeInfo.Annotation> getAnnotationList()
`repeated .google.protobuf.GeneratedCodeInfo.Annotation annotation = 1 [json_name = "annotation"];`

### getAnnotation

DescriptorProtos.GeneratedCodeInfo.Annotation getAnnotation(int index)
`repeated .google.protobuf.GeneratedCodeInfo.Annotation annotation = 1 [json_name = "annotation"];`

### getAnnotationCount

int getAnnotationCount()
`repeated .google.protobuf.GeneratedCodeInfo.Annotation annotation = 1 [json_name = "annotation"];`

### getAnnotationOrBuilderList

List<? extends DescriptorProtos.GeneratedCodeInfo.AnnotationOrBuilder> getAnnotationOrBuilderList()
`repeated .google.protobuf.GeneratedCodeInfo.Annotation annotation = 1 [json_name = "annotation"];`

### getAnnotationOrBuilder

DescriptorProtos.GeneratedCodeInfo.AnnotationOrBuilder getAnnotationOrBuilder(int index)
`repeated .google.protobuf.GeneratedCodeInfo.Annotation annotation = 1 [json_name = "annotation"];`